%define build_dvi 1

%define api		1.5.0
%define major		3
%define libdocument	%mklibname atrildocument %{major}
%define libview		%mklibname atrilview %{major}
%define girdocument	%mklibname atrildocument-gir %{api}
%define girview		%mklibname atrilview-gir %{api}
%define devname		%mklibname -d atril
%define oname atril 

Summary:	MATE Document viewer
Name:		mate-document-viewer
Version:	1.19.2
Release:	%mkrel 2
License:	GPLv2+ and GFDL+
Group:		Graphical desktop/Mate
URL:		http://mate-desktop.org
Source0:	http://pub.mate-desktop.org/releases/1.8/%{oname}-%{version}.tar.xz

BuildRequires:	docbook-dtd412-xml
BuildRequires:	ghostscript
BuildRequires:	gtk-doc
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	mate-common
BuildRequires:	mate-icon-theme
BuildRequires:	mate-icon-theme-devel
BuildRequires:	xsltproc
BuildRequires:	tiff-devel
BuildRequires: %{_lib}poppler-glib8
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}djvulibre-devel
BuildRequires: %{_lib}gail-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}ice-devel
BuildRequires: %{_lib}kpathsea-devel
BuildRequires: %{_lib}gnome-keyring-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}poppler-glib-devel
BuildRequires: %{_lib}sm-devel
BuildRequires: %{_lib}tiff-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xml2-devel
BuildRequires: %{_lib}spectre-devel
BuildRequires: %{_lib}gxps-devel
BuildRequires: webkitgtk1-devel
BuildRequires: libxml2-utils
BuildRequires: mate-file-manager-devel
Requires:	dconf
Requires:	dconf-editor
Requires:	ghostscript
Requires:	ghostscript-module-X

Provides:	atril = %{version}-%{release}

%description
Atril is the MATE Document viewer.
It supports PDF, PostScript and other formats.
To view .dvi files as produced by TeX in atril,
install the %{name}-dvi package.

%if %{build_dvi}
%package dvi
Summary:	TeX DVI document support for atril
Group:		Graphical desktop/Mate
BuildRequires:	kpathsea-devel
Requires:	%{name} = %{version}-%{release}

%description dvi
This package adds support for displaying .dvi files to atril.
These files are 
produced by TeX, often using
a macro package like LaTeX.
%endif


%package devel
Group:		Development/Libraries
Summary:	MATE Document viewer library
Requires:	%{name}
Provides:	%{name}-devel

%description devel
This is the MATE Document viewer library, the shared parts of atril.

%prep
%setup -qn %{oname}-%{version}
%apply_patches

%build
%configure2_5x --with-gtk=3.0 \
	--enable-tiff \
	--enable-djvu \
	--enable-comics \
	--enable-pixbuf \
%if %{build_dvi}
	--enable-dvi \
%endif
	--enable-introspection \
	--disable-static \
	--disable-scrollkeueper \
	--disable-schemas-compile

make LIBS='-lm -lz -lgmodule-2.0'

%install
rm -rf %buildroot
%makeinstall_std

desktop-file-install --vendor="" \
  --add-category="Utility" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --add-category="X-MandrivaLinux-Office-Publishing"\
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

  
#fix icon  
perl -pi -e "s|Icon=atril|Icon=/usr/share/icons/hicolor/48x48/apps/atril.png|" $RPM_BUILD_ROOT%{_datadir}/applications/atril.desktop
  
  
%find_lang atril --with-gnome

find %{buildroot} -name *.la -delete

%files -f atril.lang
%defattr(-,root,root,-)
%doc NEWS AUTHORS
%{_bindir}/*
%{_libdir}/caja/extensions-2.0/libatril*so*
%dir %{_libdir}/atril/%{major}
%dir %{_libdir}/atril/%{major}/backends
%{_libdir}/atril/%{major}/backends/libcomicsdocument.so
%{_libdir}/atril/%{major}/backends/comicsdocument.atril-backend
%{_libdir}/atril/%{major}/backends/libdjvudocument.so
%{_libdir}/atril/%{major}/backends/djvudocument.atril-backend
%{_libdir}/atril/%{major}/backends/libpdfdocument.so
%{_libdir}/atril/%{major}/backends/pdfdocument.atril-backend
%{_libdir}/atril/%{major}/backends/libtiffdocument.so
%{_libdir}/atril/%{major}/backends/tiffdocument.atril-backend
#%{_libexecdir}/atril-convert-metadata
%{_libexecdir}/atrild
%{_datadir}/applications/*
%{_datadir}/dbus-1/services/org.mate.atril.Daemon.service
%{_datadir}/glib-2.0/schemas/org.mate.Atril.gschema.xml
%{_iconsdir}/hicolor/*/apps/atril*
# mate help files
%{_datadir}/help
%{_datadir}/thumbnailers/atril.thumbnailer
%{_libdir}/libatrildocument.so.%{major}*
%{_libdir}/girepository-1.0/AtrilDocument-1.5.0.typelib
%{_libdir}/libatrilview.so.%{major}*
%{_libdir}/girepository-1.0/AtrilView-1.5.0.typelib
%{_datadir}/man
%{_datadir}/atril
%{_datadir}/appdata/atril.appdata.xml
%{_datadir}/caja/extensions/libatril-properties-page.caja-extension
%{_libdir}/atril/3/backends/libpsdocument.so
%{_libdir}/atril/3/backends/psdocument.atril-backend
%{_libdir}/atril/3/backends/libxpsdocument.so
%{_libdir}/atril/3/backends/xpsdocument.atril-backend
#%{_libdir}/atril/3/backends/epubdocument.atril-backend
#%{_libdir}/atril/3/backends/libepubdocument.so
%{_libdir}/atril/3/backends/libpixbufdocument.so
%{_libdir}/atril/3/backends/pixbufdocument.atril-backend
   
%if %{build_dvi}
%files dvi
%{_libdir}/atril/%{major}/backends/libdvidocument.so
%{_libdir}/atril/%{major}/backends/dvidocument.atril-backend
%endif


%files devel
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/atril
%{_datadir}/gtk-doc/html/libatrildocument-1.5.0
%{_datadir}/gtk-doc/html/libatrilview-1.5.0
%{_libdir}/libatrildocument.so
%{_libdir}/libatrilview.so
%{_libdir}/pkgconfig/atril*pc
%{_includedir}/atril*
%{_datadir}/gir-1.0/AtrilDocument-1.5.0.gir
%{_datadir}/gir-1.0/AtrilView-1.5.0.gir

%clean
rm -rf %buildroot

%changelog
* Tue Aug 30 2017 threepio <threepio> - 1.19.2-1uplos2017
- update

* Tue Aug 15 2017 threepio <threepio> - 1.19.1-1uplos2017
- update

* Tue Jul 18 2017 threepio <threepio> - 1.19.0-1uplos2017
- new version

* Sat May 13 2017 adrianomorselli <adrianomorselli> 1.18.0-2uplos2017
- update
- rebuild new poppler
